function intakeFile(files, filePath) {
  if (!filePath.length) {
    return void 0;
  }
  const entry = files[filePath[0]];
  if (filePath.length === 1) {
    return Array.isArray(entry) ? entry : void 0;
  }
  return typeof entry === "object" && !Array.isArray(entry) ? intakeFile(entry, filePath.slice(1)) : void 0;
}
export {
  intakeFile
};
